org.richfaces.model

## Interface TreeDataModel<E>

- All Known Subinterfaces:
    DeclarativeTreeModel<E>
  All Known Implementing Classes:
    ClassicTreeNodeDataModelImpl, DeclarativeTreeDataModelImpl, NodesTreeSequenceKeyModel, SwingTreeNodeDataModelImpl, TreeSequenceKeyModel

      public interface TreeDataModel<E>

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `SEPARATOR_CHAR`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<TreeDataModelTuple>` | `children()`
    `TreeDataModelTuple` | `createSnapshot()`
    `E` | `getData()`
    `Object` | `getParentRowKey(Object rowKey)`
    `Object` | `getRowKey()`
    `javax.faces.convert.Converter` | `getRowKeyConverter()`
    `Object` | `getWrappedData()`
    `boolean` | `isDataAvailable()`
    `boolean` | `isLeaf()`
    `void` | `restoreFromSnapshot(TreeDataModelTuple tuple)`
    `void` | `setRowKey(Object rowKey)`
    `void` | `setWrappedData(Object data)`

- - ### Field Detail

    - #### SEPARATOR_CHAR

          static final char SEPARATOR_CHAR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRowKey

          Object getRowKey()

    - #### setRowKey

          void setRowKey(Object rowKey)

    - #### isDataAvailable

          boolean isDataAvailable()

    - #### isLeaf

          boolean isLeaf()

    - #### getData

          E getData()

    - #### children

          Iterator<TreeDataModelTuple> children()

    - #### getParentRowKey

          Object getParentRowKey(Object rowKey)

    - #### getWrappedData

          Object getWrappedData()

    - #### setWrappedData

          void setWrappedData(Object data)

    - #### createSnapshot

          TreeDataModelTuple createSnapshot()

    - #### restoreFromSnapshot

          void restoreFromSnapshot(TreeDataModelTuple tuple)

    - #### getRowKeyConverter

          javax.faces.convert.Converter getRowKeyConverter()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.